Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.codegen.server
Class LoggingCodeGenContext

    java.lang.Object
      com.google.gwt.codegen.server.LoggingCodeGenContext

All Implemented Interfaces:
  CodeGenContext

    public abstract class LoggingCodeGenContext

extends java.lang.Object
implements CodeGenContext

Base implementation of `CodeGenContext` which logs via `Logger`.

Experimental API - subject to change.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.codegen.server.CodeGenContext
`CodeGenContext.AbortCodeGenException`

Constructor Summary
`protected` | `LoggingCodeGenContext()`
`protected` | `LoggingCodeGenContext(java.util.logging.Logger logger)`
`protected` | `LoggingCodeGenContext(java.lang.String loggerName)`

Method Summary
`JavaSourceWriterBuilder` | `addClass(java.lang.String pkgName, java.lang.String className)` Begin generating a new class.
`abstract JavaSourceWriterBuilder` | `addClass(java.lang.String superPkg, java.lang.String pkgName, java.lang.String className)` Begin generating a new class, possibly using GWT super-source.
`void` | `error(java.lang.String msg)` Log a fatal error during code generation.
`void` | `error(java.lang.String msg, java.lang.Throwable cause)` Log a fatal error during code generation.
`void` | `error(java.lang.Throwable cause)` Log a fatal error during code generation.
`void` | `warn(java.lang.String msg)` Log a non-fatal warning during code generation.
`void` | `warn(java.lang.String msg, java.lang.Throwable cause)` Log a non-fatal warning during code generation.
`void` | `warn(java.lang.Throwable cause)` Log a non-fatal warning during code generation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingCodeGenContext

    protected LoggingCodeGenContext()

### LoggingCodeGenContext

    protected LoggingCodeGenContext(java.lang.String loggerName)

### LoggingCodeGenContext

    protected LoggingCodeGenContext(java.util.logging.Logger logger)

Method Detail

### addClass

    public JavaSourceWriterBuilder addClass(java.lang.String pkgName,
                                            java.lang.String className)

  Description copied from interface: `CodeGenContext`
  Begin generating a new class.

  Specified by:
    `addClass` in interface `CodeGenContext`
  Returns:
    a `JavaSourceWriterBuilder` for the requested class or null if it could not be created, such as if it already exists

### addClass

    public abstract JavaSourceWriterBuilder addClass(java.lang.String superPkg,
                                                     java.lang.String pkgName,
                                                     java.lang.String className)

  Description copied from interface: `CodeGenContext`
  Begin generating a new class, possibly using GWT super-source.

  Specified by:
    `addClass` in interface `CodeGenContext`
  Parameters:
    `superPkg` - super-source prefix, or null if a regular class
  Returns:
    a `JavaSourceWriterBuilder` for the requested class or null if it could not be created, such as if it already exists

### error

    public void error(java.lang.String msg)

  Description copied from interface: `CodeGenContext`
  Log a fatal error during code generation.

  Specified by:
    `error` in interface `CodeGenContext`

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable cause)

  Description copied from interface: `CodeGenContext`
  Log a fatal error during code generation.

  Specified by:
    `error` in interface `CodeGenContext`

### error

    public void error(java.lang.Throwable cause)

  Description copied from interface: `CodeGenContext`
  Log a fatal error during code generation.

  Specified by:
    `error` in interface `CodeGenContext`

### warn

    public void warn(java.lang.String msg)

  Description copied from interface: `CodeGenContext`
  Log a non-fatal warning during code generation.

  Specified by:
    `warn` in interface `CodeGenContext`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable cause)

  Description copied from interface: `CodeGenContext`
  Log a non-fatal warning during code generation.

  Specified by:
    `warn` in interface `CodeGenContext`

### warn

    public void warn(java.lang.Throwable cause)

  Description copied from interface: `CodeGenContext`
  Log a non-fatal warning during code generation.

  Specified by:
    `warn` in interface `CodeGenContext`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD